Skip to content

Decrypt WeChat applet data

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Decrypt WeChat Mini Program Data

Method Name

AuthenticationClient.decrypt_wechat_mini_program_data

Request Parameters

NameTypeRequiredDefault ValueDescriptionSample Value
codestringYes-User code returned by wx.login interface
ivstringYes-Symmetric decryption algorithm initialization vector, returned by WeChat
encryptedDatastringYes-Get the encrypted data (encryptedData) returned by WeChat open data
extIdpConnidentifierstringYes-External identity source connection identifier of WeChat Mini Programmy-wxapp

Request response

Type: DecryptWechatMiniProgramDataRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataobjectresponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "nickName": "xxx",
    "gender": 1,
    "language": "zh_CN",
    "city": "Guangzhou",
    "province": "Guangdong",
    "country": "CN",
    "avatarUrl": "http://wx.qlogo.cn/mmopen/vi_32/aSKcBBPpibyKNicHNTMM0qJVh8Kjgiak2AHWr8MHM4WgMEm7GFhsf8OYrySdbvAMvTsw3mo8ibKicsnfN5pRjl1p8HQ/0",
    "unionId": "ocMvos6NjeKLIBqg5Mr9QjxrP1FA",
    "watermark": {
      "timestamp": 1477314187,
      "appid": "wx4f4bc4dec97d474b"
    }
  }
}

Data structure

Agent infrastructure for identity, memory, and web action.